## spiped 1.6.0

=== Makefile ===
.POSIX:

PROGS=		spiped spipe
TESTS=		tests/nc-client tests/nc-server tests/valgrind
BINDIR_DEFAULT=	/usr/local/bin
CFLAGS_DEFAULT=	-O2

all: cpusupport-config.h
	export CFLAGS="$${CFLAGS:-${CFLAGS_DEFAULT}}";	\
	export LDADD_POSIX=`export CC="${CC}"; cd libcperciva/POSIX && command -p sh posix-l.sh "$$PATH"`;	\
	export CFLAGS_POSIX=`export CC="${CC}"; cd libcperciva/POSIX && command -p sh posix-cflags.sh "$$PATH"`;	\
	. ./cpusupport-config.h;			\
	for D in ${PROGS} ${TESTS}; do			\
		( cd $${D} && ${MAKE} all ) || exit 2;	\
	done

cpusupport-config.h:
	( export CC="${CC}"; command -p sh libcperciva/cpusupport/Build/cpusupport.sh "$$PATH" ) > cpusupport-config.h

install: all
	export BINDIR=$${BINDIR:-${BINDIR_DEFAULT}};	\
	for D in ${PROGS}; do				\
		( cd $${D} && ${MAKE} install ) || exit 2;	\
	done

clean:
	rm -f cpusupport-config.h
	for D in ${PROGS} ${TESTS}; do				\
		( cd $${D} && ${MAKE} clean ) || exit 2;	\
	done

.PHONY: test
test:
	VERBOSE=1 tests/test_spiped.sh

# Developer targets: These only work with BSD make
Makefiles:
	${MAKE} -f Makefile.BSD Makefiles

publish:
	${MAKE} -f Makefile.BSD publish

=== spipe/Makefile ===
.POSIX:
# AUTOGENERATED FILE, DO NOT EDIT
PROG=spipe
MAN1=spipe.1
SRCS=main.c pushbits.c proto_conn.c proto_crypt.c proto_handshake.c proto_pipe.c sha256.c elasticarray.c ptrheap.c timerqueue.c asprintf.c entropy.c getopt.c insecure_memzero.c monoclock.c noeintr.c sock.c warnp.c cpusupport_x86_aesni.c events_immediate.c events_network.c events_network_selectstats.c events_timer.c events.c network_connect.c network_read.c network_write.c crypto_aes.c crypto_aes_aesni.c crypto_aesctr.c crypto_dh.c crypto_dh_group14.c crypto_entropy.c crypto_verify_bytes.c
IDIRS=-I../proto -I../libcperciva/alg -I../libcperciva/datastruct -I../libcperciva/util -I../libcperciva/cpusupport -I../libcperciva/events -I../libcperciva/network -I../libcperciva/crypto
LDADD_REQ=-lcrypto -lpthread

all:	${PROG}

install:${PROG}
	mkdir -p ${BINDIR}
	cp ${PROG} ${BINDIR}/_inst.${PROG}.$$$$_ &&	\
	    strip ${BINDIR}/_inst.${PROG}.$$$$_ &&	\
	    chmod 0555 ${BINDIR}/_inst.${PROG}.$$$$_ && \
	    mv -f ${BINDIR}/_inst.${PROG}.$$$$_ ${BINDIR}/${PROG}
	if ! [ -z "${MAN1DIR}" ]; then			\
		mkdir -p ${MAN1DIR};			\
		for MPAGE in ${MAN1}; do						\
			cp $$MPAGE ${MAN1DIR}/_inst.$$MPAGE.$$$$_ &&			\
			    chmod 0444 ${MAN1DIR}/_inst.$$MPAGE.$$$$_ &&		\
			    mv -f ${MAN1DIR}/_inst.$$MPAGE.$$$$_ ${MAN1DIR}/$$MPAGE;	\
		done;									\
	fi

clean:
	rm -f ${PROG} ${SRCS:.c=.o}

${PROG}:${SRCS:.c=.o}
	${CC} -o ${PROG} ${SRCS:.c=.o} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}

main.o: main.c ../libcperciva/events/events.h ../libcperciva/util/getopt.h ../libcperciva/util/parsenum.h ../libcperciva/util/sock.h ../libcperciva/util/warnp.h ../proto/proto_conn.h ../proto/proto_crypt.h ../libcperciva/crypto/crypto_dh.h pushbits.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c main.c -o main.o
pushbits.o: pushbits.c ../libcperciva/util/noeintr.h ../libcperciva/util/warnp.h pushbits.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c pushbits.c -o pushbits.o
proto_conn.o: ../proto/proto_conn.c ../libcperciva/events/events.h ../libcperciva/network/network.h ../libcperciva/util/sock.h ../proto/proto_handshake.h ../proto/proto_pipe.h ../proto/proto_crypt.h ../libcperciva/crypto/crypto_dh.h ../proto/proto_conn.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../proto/proto_conn.c -o proto_conn.o
proto_crypt.o: ../proto/proto_crypt.c ../libcperciva/crypto/crypto_aes.h ../libcperciva/crypto/crypto_aesctr.h ../libcperciva/crypto/crypto_verify_bytes.h ../libcperciva/alg/sha256.h ../libcperciva/util/sysendian.h ../libcperciva/util/warnp.h ../proto/proto_crypt.h ../libcperciva/crypto/crypto_dh.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../proto/proto_crypt.c -o proto_crypt.o
proto_handshake.o: ../proto/proto_handshake.c ../libcperciva/crypto/crypto_entropy.h ../libcperciva/network/network.h ../proto/proto_crypt.h ../libcperciva/crypto/crypto_dh.h ../proto/proto_handshake.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../proto/proto_handshake.c -o proto_handshake.o
proto_pipe.o: ../proto/proto_pipe.c ../libcperciva/network/network.h ../proto/proto_crypt.h ../libcperciva/crypto/crypto_dh.h ../proto/proto_pipe.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../proto/proto_pipe.c -o proto_pipe.o
sha256.o: ../libcperciva/alg/sha256.c ../libcperciva/util/insecure_memzero.h ../libcperciva/util/sysendian.h ../libcperciva/alg/sha256.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/alg/sha256.c -o sha256.o
elasticarray.o: ../libcperciva/datastruct/elasticarray.c ../libcperciva/datastruct/elasticarray.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/datastruct/elasticarray.c -o elasticarray.o
ptrheap.o: ../libcperciva/datastruct/ptrheap.c ../libcperciva/datastruct/elasticarray.h ../libcperciva/datastruct/ptrheap.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/datastruct/ptrheap.c -o ptrheap.o
timerqueue.o: ../libcperciva/datastruct/timerqueue.c ../libcperciva/datastruct/ptrheap.h ../libcperciva/datastruct/timerqueue.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/datastruct/timerqueue.c -o timerqueue.o
asprintf.o: ../libcperciva/util/asprintf.c ../libcperciva/util/asprintf.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/util/asprintf.c -o asprintf.o
entropy.o: ../libcperciva/util/entropy.c ../libcperciva/util/warnp.h ../libcperciva/util/entropy.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/util/entropy.c -o entropy.o
getopt.o: ../libcperciva/util/getopt.c ../libcperciva/util/getopt.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/util/getopt.c -o getopt.o
insecure_memzero.o: ../libcperciva/util/insecure_memzero.c ../libcperciva/util/insecure_memzero.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/util/insecure_memzero.c -o insecure_memzero.o
monoclock.o: ../libcperciva/util/monoclock.c ../libcperciva/util/warnp.h ../libcperciva/util/monoclock.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/util/monoclock.c -o monoclock.o
noeintr.o: ../libcperciva/util/noeintr.c ../libcperciva/util/noeintr.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/util/noeintr.c -o noeintr.o
sock.o: ../libcperciva/util/sock.c ../libcperciva/util/imalloc.h ../libcperciva/util/warnp.h ../libcperciva/util/sock.h ../libcperciva/util/sock_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/util/sock.c -o sock.o
warnp.o: ../libcperciva/util/warnp.c ../libcperciva/util/warnp.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/util/warnp.c -o warnp.o
cpusupport_x86_aesni.o: ../libcperciva/cpusupport/cpusupport_x86_aesni.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/cpusupport/cpusupport_x86_aesni.c -o cpusupport_x86_aesni.o
events_immediate.o: ../libcperciva/events/events_immediate.c ../libcperciva/datastruct/mpool.h ../libcperciva/events/events.h ../libcperciva/events/events_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/events/events_immediate.c -o events_immediate.o
events_network.o: ../libcperciva/events/events_network.c ../libcperciva/util/ctassert.h ../libcperciva/datastruct/elasticarray.h ../libcperciva/util/warnp.h ../libcperciva/events/events.h ../libcperciva/events/events_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/events/events_network.c -o events_network.o
events_network_selectstats.o: ../libcperciva/events/events_network_selectstats.c ../libcperciva/util/monoclock.h ../libcperciva/events/events.h ../libcperciva/events/events_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/events/events_network_selectstats.c -o events_network_selectstats.o
events_timer.o: ../libcperciva/events/events_timer.c ../libcperciva/util/monoclock.h ../libcperciva/datastruct/timerqueue.h ../libcperciva/events/events.h ../libcperciva/events/events_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/events/events_timer.c -o events_timer.o
events.o: ../libcperciva/events/events.c ../libcperciva/datastruct/mpool.h ../libcperciva/events/events.h ../libcperciva/events/events_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/events/events.c -o events.o
network_connect.o: ../libcperciva/network/network_connect.c ../libcperciva/events/events.h ../libcperciva/util/sock.h ../libcperciva/network/network.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/network/network_connect.c -o network_connect.o
network_read.o: ../libcperciva/network/network_read.c ../libcperciva/events/events.h ../libcperciva/network/network.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/network/network_read.c -o network_read.o
network_write.o: ../libcperciva/network/network_write.c ../libcperciva/events/events.h ../libcperciva/util/warnp.h ../libcperciva/network/network.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/network/network_write.c -o network_write.o
crypto_aes.o: ../libcperciva/crypto/crypto_aes.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h ../libcperciva/crypto/crypto_aes_aesni.h ../libcperciva/util/insecure_memzero.h ../libcperciva/util/warnp.h ../libcperciva/crypto/crypto_aes.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/crypto/crypto_aes.c -o crypto_aes.o
crypto_aes_aesni.o: ../libcperciva/crypto/crypto_aes_aesni.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\" ${CFLAGS_X86_AESNI} -I.. ${IDIRS} -c ../libcperciva/crypto/crypto_aes_aesni.c -o crypto_aes_aesni.o
crypto_aesctr.o: ../libcperciva/crypto/crypto_aesctr.c ../libcperciva/crypto/crypto_aes.h ../libcperciva/util/insecure_memzero.h ../libcperciva/util/sysendian.h ../libcperciva/crypto/crypto_aesctr.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/crypto/crypto_aesctr.c -o crypto_aesctr.o
crypto_dh.o: ../libcperciva/crypto/crypto_dh.c ../libcperciva/util/warnp.h ../libcperciva/crypto/crypto_dh_group14.h ../libcperciva/crypto/crypto_entropy.h ../libcperciva/crypto/crypto_dh.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/crypto/crypto_dh.c -o crypto_dh.o
crypto_dh_group14.o: ../libcperciva/crypto/crypto_dh_group14.c ../libcperciva/crypto/crypto_dh_group14.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/crypto/crypto_dh_group14.c -o crypto_dh_group14.o

=== spiped/Makefile ===
.POSIX:
# AUTOGENERATED FILE, DO NOT EDIT
PROG=spiped
MAN1=spiped.1
SRCS=main.c dispatch.c proto_conn.c proto_crypt.c proto_handshake.c proto_pipe.c sha256.c elasticarray.c ptrheap.c timerqueue.c dnsthread.c graceful_shutdown.c asprintf.c daemonize.c entropy.c getopt.c insecure_memzero.c monoclock.c noeintr.c sock.c sock_util.c warnp.c cpusupport_x86_aesni.c events_immediate.c events_network.c events_network_selectstats.c events_timer.c events.c network_accept.c network_connect.c network_read.c network_write.c crypto_aes.c crypto_aes_aesni.c crypto_aesctr.c crypto_dh.c crypto_dh_group14.c crypto_entropy.c crypto_verify_bytes.c
IDIRS=-I../proto -I../libcperciva/alg -I../libcperciva/datastruct -I../lib/dnsthread -I../lib/util -I../libcperciva/util -I../libcperciva/cpusupport -I../libcperciva/events -I../libcperciva/network -I../libcperciva/crypto
LDADD_REQ=-lcrypto -lpthread

all:	${PROG}

install:${PROG}
	mkdir -p ${BINDIR}
	cp ${PROG} ${BINDIR}/_inst.${PROG}.$$$$_ &&	\
	    strip ${BINDIR}/_inst.${PROG}.$$$$_ &&	\
	    chmod 0555 ${BINDIR}/_inst.${PROG}.$$$$_ && \
	    mv -f ${BINDIR}/_inst.${PROG}.$$$$_ ${BINDIR}/${PROG}
	if ! [ -z "${MAN1DIR}" ]; then			\
		mkdir -p ${MAN1DIR};			\
		for MPAGE in ${MAN1}; do						\
			cp $$MPAGE ${MAN1DIR}/_inst.$$MPAGE.$$$$_ &&			\
			    chmod 0444 ${MAN1DIR}/_inst.$$MPAGE.$$$$_ &&		\
			    mv -f ${MAN1DIR}/_inst.$$MPAGE.$$$$_ ${MAN1DIR}/$$MPAGE;	\
		done;									\
	fi

clean:
	rm -f ${PROG} ${SRCS:.c=.o}

${PROG}:${SRCS:.c=.o}
	${CC} -o ${PROG} ${SRCS:.c=.o} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}

main.o: main.c ../libcperciva/util/asprintf.h ../libcperciva/util/daemonize.h ../libcperciva/events/events.h ../libcperciva/util/getopt.h ../lib/util/graceful_shutdown.h ../libcperciva/util/parsenum.h ../libcperciva/util/sock.h ../libcperciva/util/warnp.h dispatch.h ../proto/proto_crypt.h ../libcperciva/crypto/crypto_dh.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c main.c -o main.o
dispatch.o: dispatch.c ../lib/dnsthread/dnsthread.h ../libcperciva/events/events.h ../libcperciva/network/network.h ../libcperciva/util/sock.h ../libcperciva/util/sock_util.h ../libcperciva/util/warnp.h ../proto/proto_conn.h dispatch.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c dispatch.c -o dispatch.o
proto_conn.o: ../proto/proto_conn.c ../libcperciva/events/events.h ../libcperciva/network/network.h ../libcperciva/util/sock.h ../proto/proto_handshake.h ../proto/proto_pipe.h ../proto/proto_crypt.h ../libcperciva/crypto/crypto_dh.h ../proto/proto_conn.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../proto/proto_conn.c -o proto_conn.o
proto_crypt.o: ../proto/proto_crypt.c ../libcperciva/crypto/crypto_aes.h ../libcperciva/crypto/crypto_aesctr.h ../libcperciva/crypto/crypto_verify_bytes.h ../libcperciva/alg/sha256.h ../libcperciva/util/sysendian.h ../libcperciva/util/warnp.h ../proto/proto_crypt.h ../libcperciva/crypto/crypto_dh.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../proto/proto_crypt.c -o proto_crypt.o
proto_handshake.o: ../proto/proto_handshake.c ../libcperciva/crypto/crypto_entropy.h ../libcperciva/network/network.h ../proto/proto_crypt.h ../libcperciva/crypto/crypto_dh.h ../proto/proto_handshake.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../proto/proto_handshake.c -o proto_handshake.o
proto_pipe.o: ../proto/proto_pipe.c ../libcperciva/network/network.h ../proto/proto_crypt.h ../libcperciva/crypto/crypto_dh.h ../proto/proto_pipe.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../proto/proto_pipe.c -o proto_pipe.o
sha256.o: ../libcperciva/alg/sha256.c ../libcperciva/util/insecure_memzero.h ../libcperciva/util/sysendian.h ../libcperciva/alg/sha256.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/alg/sha256.c -o sha256.o
elasticarray.o: ../libcperciva/datastruct/elasticarray.c ../libcperciva/datastruct/elasticarray.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/datastruct/elasticarray.c -o elasticarray.o
ptrheap.o: ../libcperciva/datastruct/ptrheap.c ../libcperciva/datastruct/elasticarray.h ../libcperciva/datastruct/ptrheap.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/datastruct/ptrheap.c -o ptrheap.o
timerqueue.o: ../libcperciva/datastruct/timerqueue.c ../libcperciva/datastruct/ptrheap.h ../libcperciva/datastruct/timerqueue.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/datastruct/timerqueue.c -o timerqueue.o
dnsthread.o: ../lib/dnsthread/dnsthread.c ../libcperciva/events/events.h ../libcperciva/util/noeintr.h ../libcperciva/util/sock.h ../libcperciva/util/warnp.h ../lib/dnsthread/dnsthread.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../lib/dnsthread/dnsthread.c -o dnsthread.o
graceful_shutdown.o: ../lib/util/graceful_shutdown.c ../libcperciva/events/events.h ../libcperciva/util/warnp.h ../lib/util/graceful_shutdown.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../lib/util/graceful_shutdown.c -o graceful_shutdown.o
asprintf.o: ../libcperciva/util/asprintf.c ../libcperciva/util/asprintf.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/util/asprintf.c -o asprintf.o
daemonize.o: ../libcperciva/util/daemonize.c ../libcperciva/util/noeintr.h ../libcperciva/util/warnp.h ../libcperciva/util/daemonize.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/util/daemonize.c -o daemonize.o
entropy.o: ../libcperciva/util/entropy.c ../libcperciva/util/warnp.h ../libcperciva/util/entropy.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/util/entropy.c -o entropy.o
getopt.o: ../libcperciva/util/getopt.c ../libcperciva/util/getopt.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/util/getopt.c -o getopt.o
insecure_memzero.o: ../libcperciva/util/insecure_memzero.c ../libcperciva/util/insecure_memzero.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/util/insecure_memzero.c -o insecure_memzero.o
monoclock.o: ../libcperciva/util/monoclock.c ../libcperciva/util/warnp.h ../libcperciva/util/monoclock.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/util/monoclock.c -o monoclock.o
noeintr.o: ../libcperciva/util/noeintr.c ../libcperciva/util/noeintr.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/util/noeintr.c -o noeintr.o
sock.o: ../libcperciva/util/sock.c ../libcperciva/util/imalloc.h ../libcperciva/util/warnp.h ../libcperciva/util/sock.h ../libcperciva/util/sock_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/util/sock.c -o sock.o
sock_util.o: ../libcperciva/util/sock_util.c ../libcperciva/util/asprintf.h ../libcperciva/util/sock.h ../libcperciva/util/sock_internal.h ../libcperciva/util/sock_util.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/util/sock_util.c -o sock_util.o
warnp.o: ../libcperciva/util/warnp.c ../libcperciva/util/warnp.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/util/warnp.c -o warnp.o
cpusupport_x86_aesni.o: ../libcperciva/cpusupport/cpusupport_x86_aesni.c ../libcperciva/cpusupport/cpusupport.h ../cpusupport-config.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/cpusupport/cpusupport_x86_aesni.c -o cpusupport_x86_aesni.o
events_immediate.o: ../libcperciva/events/events_immediate.c ../libcperciva/datastruct/mpool.h ../libcperciva/events/events.h ../libcperciva/events/events_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/events/events_immediate.c -o events_immediate.o
events_network.o: ../libcperciva/events/events_network.c ../libcperciva/util/ctassert.h ../libcperciva/datastruct/elasticarray.h ../libcperciva/util/warnp.h ../libcperciva/events/events.h ../libcperciva/events/events_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/events/events_network.c -o events_network.o
events_network_selectstats.o: ../libcperciva/events/events_network_selectstats.c ../libcperciva/util/monoclock.h ../libcperciva/events/events.h ../libcperciva/events/events_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/events/events_network_selectstats.c -o events_network_selectstats.o
events_timer.o: ../libcperciva/events/events_timer.c ../libcperciva/util/monoclock.h ../libcperciva/datastruct/timerqueue.h ../libcperciva/events/events.h ../libcperciva/events/events_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/events/events_timer.c -o events_timer.o
events.o: ../libcperciva/events/events.c ../libcperciva/datastruct/mpool.h ../libcperciva/events/events.h ../libcperciva/events/events_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/events/events.c -o events.o
network_accept.o: ../libcperciva/network/network_accept.c ../libcperciva/events/events.h ../libcperciva/network/network.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/network/network_accept.c -o network_accept.o
network_connect.o: ../libcperciva/network/network_connect.c ../libcperciva/events/events.h ../libcperciva/util/sock.h ../libcperciva/network/network.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/network/network_connect.c -o network_connect.o
network_read.o: ../libcperciva/network/network_read.c ../libcperciva/events/events.h ../libcperciva/network/network.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../libcperciva/network/network_read.c -o network_read.o
network_write.o: ../libcperciva/network/network_write.c ../libcperciva/events/events.h ../libcperciva/util/warnp.h ../libcperciva/network/network.h

=== tests/nc-client/Makefile ===
.POSIX:
# AUTOGENERATED FILE, DO NOT EDIT
PROG=nc-client
MAN1=
SRCS=main.c elasticarray.c ptrheap.c timerqueue.c events_immediate.c events_network.c events_network_selectstats.c events_timer.c events.c network_connect.c network_read.c network_write.c monoclock.c sock.c warnp.c
IDIRS=-I../../libcperciva/datastruct -I../../libcperciva/events -I../../libcperciva/network -I../../libcperciva/util
LDADD_REQ=

all:	${PROG}

clean:
	rm -f ${PROG} ${SRCS:.c=.o}

${PROG}:${SRCS:.c=.o}
	${CC} -o ${PROG} ${SRCS:.c=.o} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}

main.o: main.c ../../libcperciva/events/events.h ../../libcperciva/network/network.h ../../libcperciva/util/sock.h ../../libcperciva/util/warnp.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c main.c -o main.o
elasticarray.o: ../../libcperciva/datastruct/elasticarray.c ../../libcperciva/datastruct/elasticarray.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/datastruct/elasticarray.c -o elasticarray.o
ptrheap.o: ../../libcperciva/datastruct/ptrheap.c ../../libcperciva/datastruct/elasticarray.h ../../libcperciva/datastruct/ptrheap.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/datastruct/ptrheap.c -o ptrheap.o
timerqueue.o: ../../libcperciva/datastruct/timerqueue.c ../../libcperciva/datastruct/ptrheap.h ../../libcperciva/datastruct/timerqueue.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/datastruct/timerqueue.c -o timerqueue.o
events_immediate.o: ../../libcperciva/events/events_immediate.c ../../libcperciva/datastruct/mpool.h ../../libcperciva/events/events.h ../../libcperciva/events/events_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/events/events_immediate.c -o events_immediate.o
events_network.o: ../../libcperciva/events/events_network.c ../../libcperciva/util/ctassert.h ../../libcperciva/datastruct/elasticarray.h ../../libcperciva/util/warnp.h ../../libcperciva/events/events.h ../../libcperciva/events/events_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/events/events_network.c -o events_network.o
events_network_selectstats.o: ../../libcperciva/events/events_network_selectstats.c ../../libcperciva/util/monoclock.h ../../libcperciva/events/events.h ../../libcperciva/events/events_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/events/events_network_selectstats.c -o events_network_selectstats.o
events_timer.o: ../../libcperciva/events/events_timer.c ../../libcperciva/util/monoclock.h ../../libcperciva/datastruct/timerqueue.h ../../libcperciva/events/events.h ../../libcperciva/events/events_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/events/events_timer.c -o events_timer.o
events.o: ../../libcperciva/events/events.c ../../libcperciva/datastruct/mpool.h ../../libcperciva/events/events.h ../../libcperciva/events/events_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/events/events.c -o events.o
network_connect.o: ../../libcperciva/network/network_connect.c ../../libcperciva/events/events.h ../../libcperciva/util/sock.h ../../libcperciva/network/network.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/network/network_connect.c -o network_connect.o
network_read.o: ../../libcperciva/network/network_read.c ../../libcperciva/events/events.h ../../libcperciva/network/network.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/network/network_read.c -o network_read.o
network_write.o: ../../libcperciva/network/network_write.c ../../libcperciva/events/events.h ../../libcperciva/util/warnp.h ../../libcperciva/network/network.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/network/network_write.c -o network_write.o
monoclock.o: ../../libcperciva/util/monoclock.c ../../libcperciva/util/warnp.h ../../libcperciva/util/monoclock.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/util/monoclock.c -o monoclock.o
sock.o: ../../libcperciva/util/sock.c ../../libcperciva/util/imalloc.h ../../libcperciva/util/warnp.h ../../libcperciva/util/sock.h ../../libcperciva/util/sock_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/util/sock.c -o sock.o
warnp.o: ../../libcperciva/util/warnp.c ../../libcperciva/util/warnp.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/util/warnp.c -o warnp.o

=== tests/nc-server/Makefile ===
.POSIX:
# AUTOGENERATED FILE, DO NOT EDIT
PROG=nc-server
MAN1=
SRCS=main.c simple_server.c elasticarray.c ptrheap.c timerqueue.c events_immediate.c events_network.c events_network_selectstats.c events_timer.c events.c network_accept.c network_read.c asprintf.c monoclock.c sock.c warnp.c
IDIRS=-I../../libcperciva/datastruct -I../../libcperciva/events -I../../libcperciva/network -I../../libcperciva/util
LDADD_REQ=

all:	${PROG}

clean:
	rm -f ${PROG} ${SRCS:.c=.o}

${PROG}:${SRCS:.c=.o}
	${CC} -o ${PROG} ${SRCS:.c=.o} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}

main.o: main.c ../../libcperciva/util/warnp.h simple_server.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c main.c -o main.o
simple_server.o: simple_server.c ../../libcperciva/util/asprintf.h ../../libcperciva/events/events.h ../../libcperciva/network/network.h ../../libcperciva/util/sock.h ../../libcperciva/util/warnp.h simple_server.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c simple_server.c -o simple_server.o
elasticarray.o: ../../libcperciva/datastruct/elasticarray.c ../../libcperciva/datastruct/elasticarray.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/datastruct/elasticarray.c -o elasticarray.o
ptrheap.o: ../../libcperciva/datastruct/ptrheap.c ../../libcperciva/datastruct/elasticarray.h ../../libcperciva/datastruct/ptrheap.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/datastruct/ptrheap.c -o ptrheap.o
timerqueue.o: ../../libcperciva/datastruct/timerqueue.c ../../libcperciva/datastruct/ptrheap.h ../../libcperciva/datastruct/timerqueue.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/datastruct/timerqueue.c -o timerqueue.o
events_immediate.o: ../../libcperciva/events/events_immediate.c ../../libcperciva/datastruct/mpool.h ../../libcperciva/events/events.h ../../libcperciva/events/events_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/events/events_immediate.c -o events_immediate.o
events_network.o: ../../libcperciva/events/events_network.c ../../libcperciva/util/ctassert.h ../../libcperciva/datastruct/elasticarray.h ../../libcperciva/util/warnp.h ../../libcperciva/events/events.h ../../libcperciva/events/events_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/events/events_network.c -o events_network.o
events_network_selectstats.o: ../../libcperciva/events/events_network_selectstats.c ../../libcperciva/util/monoclock.h ../../libcperciva/events/events.h ../../libcperciva/events/events_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/events/events_network_selectstats.c -o events_network_selectstats.o
events_timer.o: ../../libcperciva/events/events_timer.c ../../libcperciva/util/monoclock.h ../../libcperciva/datastruct/timerqueue.h ../../libcperciva/events/events.h ../../libcperciva/events/events_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/events/events_timer.c -o events_timer.o
events.o: ../../libcperciva/events/events.c ../../libcperciva/datastruct/mpool.h ../../libcperciva/events/events.h ../../libcperciva/events/events_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/events/events.c -o events.o
network_accept.o: ../../libcperciva/network/network_accept.c ../../libcperciva/events/events.h ../../libcperciva/network/network.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/network/network_accept.c -o network_accept.o
network_read.o: ../../libcperciva/network/network_read.c ../../libcperciva/events/events.h ../../libcperciva/network/network.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/network/network_read.c -o network_read.o
asprintf.o: ../../libcperciva/util/asprintf.c ../../libcperciva/util/asprintf.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/util/asprintf.c -o asprintf.o
monoclock.o: ../../libcperciva/util/monoclock.c ../../libcperciva/util/warnp.h ../../libcperciva/util/monoclock.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/util/monoclock.c -o monoclock.o
sock.o: ../../libcperciva/util/sock.c ../../libcperciva/util/imalloc.h ../../libcperciva/util/warnp.h ../../libcperciva/util/sock.h ../../libcperciva/util/sock_internal.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/util/sock.c -o sock.o
warnp.o: ../../libcperciva/util/warnp.c ../../libcperciva/util/warnp.h
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c ../../libcperciva/util/warnp.c -o warnp.o

=== tests/valgrind/Makefile ===
.POSIX:
# AUTOGENERATED FILE, DO NOT EDIT
PROG=potential-memleaks
MAN1=
SRCS=potential-memleaks.c
IDIRS=
LDADD_REQ=

all:	${PROG}

clean:
	rm -f ${PROG} ${SRCS:.c=.o}

${PROG}:${SRCS:.c=.o}
	${CC} -o ${PROG} ${SRCS:.c=.o} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}

potential-memleaks.o: potential-memleaks.c
	${CC} ${CFLAGS} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I.. ${IDIRS} -c potential-memleaks.c -o potential-memleaks.o

=== debian/changelog ===
spiped (1.6.0-5) unstable; urgency=medium

  * Switch to a DEP-14 debian/master branch.
  * Use the test-name autopkgtest feature.

 -- Peter Pentchev <roam@debian.org>  Wed, 27 Feb 2019 14:23:46 +0200

spiped (1.6.0-4) unstable; urgency=medium

  * Bring up to compliance with Debian Policy 4.3.0: install the upstream
    release notes (CHANGELOG) as NEWS and not changelog.
  * Drop the Lintian overrides related to B-D: debhelper-compat -
    Lintian 2.5.98 no longer emits these warnings and errors.
  * Bump the debhelper compatibility version to 12 with no changes.
  * Add the year 2019 to my debian/* copyright notice.
  * Move away from git-dpm.
  * Add a trivial git-buildpackage config file.
  * Remove the quotes around pgpmode=none in the watch file.

 -- Peter Pentchev <roam@debian.org>  Wed, 16 Jan 2019 14:00:04 +0200

spiped (1.6.0-3) unstable; urgency=medium

  * Build-depend on debhelper 11 now that it's out and use the new
    B-D: debhelper-compat (= 11) mechanism.
  * Declare compliance with Debian Policy 4.1.4 with no changes.
  * Add the year 2018 to my debian/* copyright notice.
  * Use my Debian e-mail address.
  * Add a trivial autopkgtest running adequate on the installed package.
  * Add procps to the build dependencies since ps(1) is used in the tests.

 -- Peter Pentchev <roam@debian.org>  Sun, 03 Jun 2018 04:05:55 +0300

spiped (1.6.0-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.1 with no changes.
  * Add "Rules-Requires-Root: no" to the source control stanza and
    drop the "-o root -g root" install(1) arguments.
  * Let dpkg-buildflags take care of the LFS compiler and linker flags.
  * Switch to git-dpm and rename the patches.

 -- Peter Pentchev <roam@ringlet.net>  Sun, 12 Nov 2017 02:10:11 +0200

spiped (1.6.0-1) unstable; urgency=medium

  * Use single quotes around strings expanded by make, not by the shell,
    in the rules file.
  * If the non-standard "werror" build option is specified, do not error
    out on certain harmless (in these specific cases) warnings.
  * Update the package for compliance with Debian Policy 4.1.0:
    - drop the implied "Testsuite: autopkgtest" source control field
  * Bump the debhelper compatibility level to 11 and the build dependency
    to 10.8~.
  * New upstream version:
    - drop the 05-mkdir-p, 06-manpage-version, and 09-typos patches,
      integrated upstream
    - update the rest of the patches
    - update the upstream copyright years

 -- Peter Pentchev <roam@ringlet.net>  Wed, 27 Sep 2017 17:27:47 +0300

spiped (1.5.0-2) unstable; urgency=medium

  * Bump the debhelper compatibility level to 10 and drop "--parallel"
    from the dh invocation.
  * Use the HTTPS scheme for various Debian and upstream URLs.
  * Bump the year on my debian/* copyright notice.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 09 Jan 2017 22:46:42 +0200

=== debian/control ===
Source: spiped
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends: debhelper-compat (= 12), libssl-dev, procps
Standards-Version: 4.3.0
Homepage: https://www.tarsnap.com/spiped.html
Vcs-Git: https://gitlab.com/spiped/spiped.git -b debian/master
Vcs-Browser: https://gitlab.com/spiped/spiped/tree/debian/master
Rules-Requires-Root: no

Package: spiped
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: create secure pipes between socket addresses
 spiped (pronounced "ess-pipe-dee") is a utility for creating symmetrically
 encrypted and authenticated pipes between socket addresses, so that one may
 connect to one address (e.g., a UNIX socket on localhost) and transparently
 have a connection established to another address (e.g., a UNIX socket on a
 different system).  This is similar to 'ssh -L' functionality, but does not
 use SSH and requires a pre-shared symmetric key.
 .
 spipe (pronounced "ess-pipe") is a utility which acts as an spiped protocol
 client (i.e., connects to an spiped daemon), taking input from the standard
 input and writing data read back to the standard output.

=== debian/rules ===
#!/usr/bin/make -f
# Debhelper rules file for spiped, the secure pipe daemon.

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all future=+lfs

DEB_CFLAGS_MAINT_APPEND=	-pipe -Wall -W -std=c99 -pedantic -Wbad-function-cast \
		-Wcast-align -Wcast-qual -Wchar-subscripts -Wno-inline \
		-Wmissing-prototypes -Wnested-externs -Wpointer-arith \
		-Wno-redundant-decls -Wshadow -Wstrict-prototypes -Wwrite-strings
ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
DEB_CFLAGS_MAINT_APPEND+=	-Werror -Wno-error=clobbered
endif

export DEB_BUILD_MAINT_OPTIONS DEB_CPPFLAGS_MAINT_APPEND DEB_CFLAGS_MAINT_APPEND DEB_LDFLAGS_MAINT_APPEND

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- BINDIR=/usr/bin MAN1DIR=/usr/share/man/man1

override_dh_installchangelogs:
	dh_installchangelogs -X CHANGELOG
	install -m 644 CHANGELOG debian/spiped/usr/share/doc/spiped/NEWS

=== debian/tests/control ===
Tests: simple
Depends: @, netcat-traditional, perl

Test-Command: adequate spiped
Depends: @, adequate
Features: test-name=adequate

=== debian/watch ===
version=4
opts=pgpmode=none \
https://www.tarsnap.com/spiped/ spiped-([\d.]*)\.tgz
